<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="../css/slim-core.css">
    <link rel="stylesheet" href="../css/slim-core-components.css">
    <title>Display</title>
    <style>
        .rect {
            vertical-align: center;
            border: 1px solid rgba(0, 0, 0, .2);
        }

        .rect p:nth-child(2) {
            font-style: italic;
            font-size: .8rem;
            line-height: .8;
        }
    </style>
</head>

<body class="container pt-5">
    <div class="text-left">
        <a href="./index.html">Previous</a>
    </div>
    <br>

    <h1>4- Display</h1>
    <br>

    <h3>Display type</h3>
    <Table class="table">
        <thead>
            <tr>
                <td>Type</td>
                <td>Class</td>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>Hide</td>
                <td>hide</td>
            </tr>
            <tr>
                <td>Block</td>
                <td>d-block</td>
            </tr>
            <tr>
                <td>Flex</td>
                <td>d-flex</td>
            </tr>
            <tr>
                <td>Grid</td>
                <td>d-grid</td>
            </tr>
            <tr>
                <td>Inline Block</td>
                <td>d-iblock</td>
            </tr>
            <tr>
                <td>Inline Flex</td>
                <td>d-iflex</td>
            </tr>
        </tbody>
    </Table>
    <br><br>

    <h3>Visibility</h3>
    <Table class="table">
        <thead>
            <tr>
                <td>Class</td>
                <td>SM</td>
                <td>MD</td>
                <td>LG</td>
                <td>XL</td>
                <td>XXL</td>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>sm:hide</td>
                <td> </td>
                <td>x</td>
                <td>x</td>
                <td>x</td>
                <td>x</td>
            </tr>
            <tr>
                <td>md:hide</td>
                <td>x</td>
                <td> </td>
                <td>x</td>
                <td>x</td>
                <td>x</td>
            </tr>
            <tr>
                <td>md:hide-less</td>
                <td> </td>
                <td> </td>
                <td>x</td>
                <td>x</td>
                <td>x</td>
            </tr>
            <tr>
                <td>md:hide-more</td>
                <td>x</td>
                <td> </td>
                <td> </td>
                <td> </td>
                <td> </td>
            </tr>
            <tr>
                <td>lg:hide</td>
                <td>x</td>
                <td>x</td>
                <td> </td>
                <td>x</td>
                <td>x</td>
            </tr>
            <tr>
                <td>lg:hide-less</td>
                <td> </td>
                <td> </td>
                <td> </td>
                <td>x</td>
                <td>x</td>
            </tr>
            <tr>
                <td>lg:hide-more</td>
                <td>x</td>
                <td>x</td>
                <td> </td>
                <td> </td>
                <td> </td>
            </tr>
            <tr>
                <td>xl:hide</td>
                <td>x</td>
                <td>x</td>
                <td>x</td>
                <td> </td>
                <td>x</td>
            </tr>
            <tr>
                <td>xl:hide-less</td>
                <td> </td>
                <td> </td>
                <td> </td>
                <td> </td>
                <td>x</td>
            </tr>
            <tr>
                <td>xl:hide-more</td>
                <td>x</td>
                <td>x</td>
                <td>x</td>
                <td> </td>
                <td> </td>
            </tr>
            <tr>
                <td>xxl:hide</td>
                <td>x</td>
                <td>x</td>
                <td>x</td>
                <td>x</td>
                <td> </td>
            </tr>
        </tbody>
    </Table>
    <br><br>


    <h3>Display Visibility Example</h3>
    <div class="grid gap-1 t-white text-center bg-gray-300">
        <div class="rect bg-primary hide sm:d-block">
            <p>show to only small screen</p>
            <p>hide sm:d-block</p>
        </div>

        <div class="rect bg-secondary hide md:d-block">
            <p>show to only medium screen</p>
            <p>hide md:d-block</p>
        </div>

        <div class="rect bg-info hide md:d-block-less">
            <p>show to medium screen and less</p>
            <p>hide md:d-block-less</p>
        </div>

        <div class="rect bg-success hide md:d-block-more">
            <p>show to medium screen and more</p>
            <p>hide md:d-block-more</p>
        </div>

        <div class="rect bg-warning hide lg:d-block">
            <p>show to only large screen</p>
            <p>hide lg:d-block</p>
        </div>

        <div class="rect bg-danger hide lg:d-block-less">
            <p>show to large screen and less</p>
            <p>hide lg:d-block-less</p>
        </div>

        <div class="rect bg-gray-600 hide lg:d-block-more">
            <p>show to large screen and more</p>
            <p>hide lg:d-block-more</p>
        </div>

        <div class="rect bg-gray-800 hide xl:d-block">
            <p>show to only extreme large screen</p>
            <p>hide xl:d-block</p>
        </div>

        <div class="rect bg-gray-700 hide xl:d-block-less">
            <p>show to extreme large screen and less</p>
            <p>hide xl:d-block-less</p>
        </div>

        <div class="rect bg-gray-900 hide xl:d-block-more">
            <p>show to extreme large screen and more</p>
            <p>hide xl:d-block-more</p>
        </div>

        <div class="rect bg-gray-50 t-black hide xxl:d-block">
            <p>show to only extreme extreme large screen</p>
            <p>hide xxl:d-block</p>
        </div>
    </div>


    <br><br>
</body>

</html>